LL2_REMOVE_ENTRY(3)

NAME
ll2_remove_entry - Removes all entries of a user.

SYNOPSIS

#include <lastlog2.h>

int ll2_remove_entry (struct ll2_context *context, const char *user, char **error);

DESCRIPTION

Removes all database entries, defined in context, with the user name user. If context is NULL, the default database, defined in LL2_DEFAULT_DATABASE, will be taken.

    char    *error = NULL;
    const   char *user = "root";
    int ret = ll2_remove_entry (NULL, user, &error);

RETURN VALUE

Returns 0 on success, -ENOMEM or -1 on other failure. error contains an error string if the return value is -1. error is not guaranteed to contain an error string, could also be NULL. error should be freed by the caller.

AUTHORS

SEE ALSO

lastlog2(3), ll2_new_context(3), ll2_unref_context(3), ll2_read_all(3), ll2_write_entry(3), ll2_read_entry(3), ll2_update_login_time(3), ll2_rename_user(3), ll2_import_lastlog(3)

REPORTING BUGS

For bug reports, use the

AVAILABILITY

The liblastlog2 library is part of the util-linux package since version 2.40. It can be downloaded from